Subject: Re: bug#19688: [patch] add support for emacs daemon on Windows

From: Mark Laws <[email-masked]>
Date: Sun, 15 Feb 2015 02:57:13 +0900

On Sun, Feb 15, 2015 at 2:42 AM, Eli Zaretskii <[email-masked]> wrote:
> OK, I have only one comment to that: why did you need to make part of
> daemon-initialized a separate function?

That was because of the pre-C99 concern I mentioned earlier in the
thread, but since you said emacs-25 will require a C99-compliant
compiler, it shouldn't be necessary. However, see my next comment.

> In general, it looks to me that we should make a separate
> implementation of daemon-initialized for Windows, and put it on one of
> the w32*.c files.

Given that the Windows implementation of the function is three lines
long and consists solely of side effects that are already localized to
emacs.c, I think it's much clearer to keep it as-is.

> Other than that, we are waiting for your assignment.

OK. It should be waiting for whoever reads [email-masked].

-- 
|v\ /\ |\ |< |_ /\ \^| //